System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object To be added

Provides the abstract base class for implementing a license provider.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.License `` `` `` `` To be added

  When overridden in a derived class, gets a license for an instance or type of component, when given a context and whether the denial of a license throws an exception.

  A valid .

  A that specifies where you can use the licensed object. A that represents the component requesting the license. An object that is requesting the license. true if a should be thrown when the component cannot be granted a license; otherwise, false.